LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XHatchWindowFactory Interface Referencepublished

creates a hatch window implementation. More...

`import"XHatchWindowFactory.idl";`

Inheritance diagram for XHatchWindowFactory:

## Public Member Functions
::com::sun::star::embed::XHatchWindow | createHatchWindowInstance ([in] com::sun::star::awt::XWindowPeer xParent, [in] com::sun::star::awt::Rectangle aBounds, [in] com::sun::star::awt::Size aSize) raises ( ::com::sun::star::lang::IllegalArgumentException )
| creates a new hatch window instance. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

creates a hatch window implementation.

## Member Function Documentation

## ◆ createHatchWindowInstance()

::com::sun::star::embed::XHatchWindow createHatchWindowInstance | ( | [in] com::sun::star::awt::XWindowPeer | xParent,
|  | [in] com::sun::star::awt::Rectangle | aBounds,
|  | [in] com::sun::star::awt::Size | aSize
| ) |  |
raises | ( | ::com::sun::star::lang::IllegalArgumentException
| ) |  |

creates a new hatch window instance.

Parameters

  xParent | the parent window the hatch window should be created in
  aBounds | position and size of the hatch window
  aSize | border and handler squares size

Returns
  a new hatch window

Exceptions

  com::sun::star::lang::IllegalArgumentException | one of arguments is illegal

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XHatchWindowFactory.idl